Skip to content

listUsers

GET
/admin/list-users
curl --request GET \
--url 'https://gymgym.club/api/auth/admin/list-users?searchField=email&searchOperator=contains&sortDirection=asc&filterOperator=eq' \
--header 'Authorization: Bearer <token>'

List users

searchValue
string
searchField

The field to search in, defaults to email. Can be email or name. Eg: “name”

string
Allowed values: email name
searchOperator

The operator to use for the search. Can be contains, starts_with or ends_with. Eg: “contains”

string
Allowed values: contains starts_with ends_with
limit
Any of:

The number of users to return

string
offset
Any of:

The offset to start from

string
sortBy

The field to sort by

string
sortDirection

The direction to sort by

string
Allowed values: asc desc
filterField

The field to filter by

string
filterValue
Any of:
Any of:
Any of:
Any of:

The value to filter by

string
filterOperator

The operator to use for the filter

string
Allowed values: eq ne lt lte gt gte in not_in contains starts_with ends_with

List of users

Media typeapplication/json
object
users
required
Array<object>
object
id
required
string
name
required
string
email
required
string
emailVerified
required
boolean
image
string
createdAt
required
string format: date-time
updatedAt
required
string format: date-time
role
string
banned
boolean
banReason
string
banExpires
string format: date-time
isAnonymous
boolean
lastLoginMethod
string
total
required
number
limit
number
offset
number
Example
{
"users": [
{
"emailVerified": false,
"banned": false,
"isAnonymous": false
}
]
}

Bad Request. Usually due to missing parameters, or invalid parameters.

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Unauthorized. Due to missing or invalid authentication.

Media typeapplication/json
object
message
required
string
Examplegenerated
{
"message": "example"
}

Forbidden. You do not have permission to access this resource or to perform this action.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Not Found. The requested resource was not found.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Too Many Requests. You have exceeded the rate limit. Try again later.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

Internal Server Error. This is a problem with the server that you cannot fix.

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}